#pragma once
#include "afxwin.h"
#include "art.h"

// steckbrief_vogel_neu-Dialogfeld

class steckbrief_vogel_neu: public CDialog
{
    DECLARE_DYNAMIC (steckbrief_vogel_neu)

public:
    steckbrief_vogel_neu( CWnd* pParent = NULL); // Standardkonstruktor
    virtual ~steckbrief_vogel_neu();

// Dialogfelddaten
    enum
    {
        IDD = IDD_DIALOG_Steckbrief_Vogel
    };

protected:
    virtual void DoDataExchange( CDataExchange* pDX); // DDX/DDV-Unterstützung

    DECLARE_MESSAGE_MAP()
public:

    afx_msg void OnEnKillfocusVogelname();afx_msg
    void OnEnSetfocusVogelname();
    BOOL PreTranslateMessage( MSG* pMsg);
    BOOL OnInitDialog();afx_msg
    void OnEnKillfocusVogelnamelatein();
    CString m_vogel_name;
    CString m_vogel_latein;
    int m_Wald;
    float anspruch_wald;
    //void Anspruch_Struktur(int);// Anspruch an die Strukturelemente werden erfasst
    afx_msg
    void OnBnClickedWaldN();afx_msg
    void OnBnClickedWaldF();afx_msg
    void OnBnClickedWaldE();
    int m_Wasser;
    //void Wasser(void);
    float anspruch_wasser;afx_msg
    void OnBnClickedWasserN();afx_msg
    void OnBnClickedWasserF();afx_msg
    void OnBnClickedWasserE();afx_msg
    void OnBnClickedSiedlungN();afx_msg
    void OnBnClickedSiedlungF();afx_msg
    void OnBnClickedSiedlungE();
    float anspruch_siedlung;
    int m_Siedlung;
    float neutral;
    float foerdernd;
    float essentiel;
    CString m_monatsviertel9;
    CString m_monatsviertel10;
    CString m_monatsviertel11;
    CString m_monatsviertel12;
    CString m_monatsviertel13;
    CString m_monatsviertel14;
    CString m_monatsviertel15;
    CString m_monatsviertel16;
    CString m_monatsviertel17;
    CString m_monatsviertel18;
    CString m_monatsviertel19;
    CString m_monatsviertel20;
    CString m_monatsviertel21;
    CString m_monatsviertel22;
    CString m_monatsviertel23;
    CString m_monatsviertel24;
    CString m_monatsviertel25;
    CString m_monatsviertel26;
    CString m_monatsviertel27;
    CString m_monatsviertel28;
    CString m_monatsviertel29;
    CString m_monatsviertel_ersatzbrut;
    CString m_ersatzbrut_erfolg;
    CString m_reproduktion_kritisch;
    CString m_reproduktion_gesammt;

    CString m_mobilitaetsradius;
    CString m_hoehe_kurz;
    CString m_hoehe_mittel;
    CString m_hoehe_hoch;
    CString m_feuchte_trocken;
    CString m_feuchte_frisch;
    CString m_feuchte_feucht;
    //CString m_individuen_flaeche;
    CString m_ausbreitungsradius;

    afx_msg
    void OnEnKillfocusMonatsviertel9();afx_msg
    void OnEnKillfocusMonatsviertel10();afx_msg
    void OnEnKillfocusMonatsviertel11();afx_msg
    void OnEnKillfocusMonatsviertel12();afx_msg
    void OnEnKillfocusMonatsviertel13();afx_msg
    void OnEnKillfocusMonatsviertel14();afx_msg
    void OnEnKillfocusMonatsviertel15();afx_msg
    void OnEnKillfocusMonatsviertel16();afx_msg
    void OnEnKillfocusMonatsviertel17();afx_msg
    void OnEnKillfocusMonatsviertel18();afx_msg
    void OnEnKillfocusMonatsviertel19();afx_msg
    void OnEnKillfocusMonatsviertel20();afx_msg
    void OnEnKillfocusMonatsviertel21();afx_msg
    void OnEnKillfocusMonatsviertel22();afx_msg
    void OnEnKillfocusMonatsviertel23();afx_msg
    void OnEnKillfocusMonatsviertel24();afx_msg
    void OnEnKillfocusMonatsviertel25();afx_msg
    void OnEnKillfocusMonatsviertel26();afx_msg
    void OnEnKillfocusMonatsviertel27();afx_msg
    void OnEnKillfocusMonatsviertel28();afx_msg
    void OnEnKillfocusMonatsviertel29();afx_msg
    void OnEnKillfocusEbruterfolg();afx_msg
    void OnEnKillfocusKreproduktionsphase();afx_msg
    void OnEnKillfocusGreproduktionsphase();
    //afx_msg void OnEnKillfocusMradius();
    afx_msg
    void OnEnKillfocusAusbreitungsradius();
    //afx_msg void OnEnKillfocusIdividuen();
    afx_msg
    void OnEnKillfocusFlaechequal();afx_msg
    void OnEnKillfocusFlaechegr();afx_msg
    void OnEnKillfocusFeuchtefeucht();afx_msg
    void OnEnKillfocusFeuchtefrisch();afx_msg
    void OnEnKillfocusFeuchtetrocken();afx_msg
    void OnEnKillfocusHoeheh();afx_msg
    void OnEnKillfocusHoehem();afx_msg
    void OnEnKillfocusHoehek();afx_msg
    void OnBnClickedOk();afx_msg
    void OnBnClickedCancel();
    art* nart;afx_msg
    void OnCbnSelchangeCombo1();
    CComboBox m_comb_ersatzbrut;afx_msg
    void OnEnKillfocusPerson();
    CString m_person;afx_msg
    void OnBnClickedDatena();afx_msg
    void OnBnClickedDatenbearbeiten();afx_msg
    HBRUSH OnCtlColor( CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    CBrush m_brush;afx_msg
    void OnVScroll( UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
    //CScrollBar m_scrollbar;
    int m_nCurHeight;
    int m_nScrollPos;
    CRect m_rect;

    afx_msg
    void OnSize( UINT nType, int cx, int cy);afx_msg
    void OnEnKillfocusPraedation();

    CString m_praedation;afx_msg
    void OnEnKillfocusMonatsviertel30();afx_msg
    void OnEnKillfocusMonatsviertel31();
    CString m_monatsviertel30;
    CString m_monatsviertel31;
};
